main {
    margin-top: 60px;
}

.products-grid{
    display: grid;

    /* 
        - repeat(8, 1fr); is a shortcut for repeating "1fr"
        8 times (instead of typing out "1fr" 8 times). 
    */

    grid-template-columns: repeat(8, 1fr);
}

@media (max-width: 2000px) {
    .products-grid {
        grid-template-columns: repeat(7, 1fr);
    }
}

@media (max-width: 1600px) {
    .products-grid {
        grid-template-columns: repeat(6, 1fr);
    }
}

@media (max-width: 1300px) {
    .products-grid {
        grid-template-columns: repeat(5, 1fr);
    }
}

@media (max-width: 1000px) {
    .products-grid {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media (max-width: 800px) {
    .products-grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 575px) {
    .products-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 450px) {
    .products-grid {
        grid-template-columns: 1fr;
    }
}

.product-container {
    padding: 40px 25px 25px 25px;

    border-right: 2px solid rgb(231, 231, 231);
    border-bottom: 2px solid rgb(231, 231, 231);

    display: flex;
    flex-direction: column;
}

.product-image-container {
    display: flex;
    justify-content: center;
    align-items: center;

    height: 180px;
    margin-bottom: 20px;

}

.product-image {
    /* 
        Images will overflow their container by default. To
        prevent this, we set max-width and max-height to 100%
        so they stay inside their container. 
    */
    
    max-width: 100%;
    max-height: 100%;
}

.product-name {
    height: 40px;
    margin-bottom: 5px;
    font-weight: 700;
}

.limit-text-to-2-lines {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.product-rating-container {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.rating-star {
    width: 100px;
    margin-right: 15px;
}

.rating-star-points {
    color: rgb(1, 124, 182);
    cursor: pointer;
    margin-top: 6px;
}

.rating-star-points:hover {
    color: rgb(196, 80, 0);
}

.product-price {
    font-weight: 700;
    margin-bottom: 10px;
}

.product-quantity-container {
    margin-bottom: 17px;
}

select {
    color: rgb(33, 33, 33);
    background-color: rgb(240, 240, 240);
    border: 2px solid rgb(213, 217, 217);
    border-radius: 8px;
    padding: 3px 5px;
    font-size: 15px;
    cursor: pointer;
    box-shadow: 0 2px 5px rgba(213, 217, 217, 0.5);
}

select:focus {
    outline: 2px solid rgb(255, 153, 0);
}

.product-spacer {
    flex: 1;
}

.added-to-cart {
    color: rgb(6, 125, 98);
    font-size: 16px;

    display: flex;
    align-items: center;
    margin-bottom: 8px;

    opacity: 0;
}

.added-to-cart img {
    height: 20px;
    margin-right: 5px;
}


.add-to-cart-btn {
    width: 100%;
    padding: 10px;
    border-radius: 50px;
    font-weight: 700;
    font-size: 14px;
}